Bug 476769 - Getting an exception when using the "test connection" button
Getting an exception when using the "test connection" button
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All All
high Severity medium
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-16 19:49 EST by Noam
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noam 2008-12-16 19:49:07 EST
After entering wrong details of Penrose Server in the new server wizard and clicking on the "test connection" button an exception message is displayed instead of a user friendly message that describe the reason of the unsuccessful connection.

TC number #33
Comment 1 Noam 2008-12-16 19:59:30 EST
In addition to that, another exception occurs in Penrose Server and it displayed in Penrose Server console.
Comment 2 Endi Sukma Dewata 2009-01-28 19:10:51 EST
This has been fixed. Now when testing JDBC or LDAP connection parameters, Penrose Studio will only show the exception's message, not the full stack trace.

Please note that some JDBC drivers such as MySQL driver includes the stack trace in the exception message. So if you're testing invalid MySQL connection you will still see a rather long & cryptic error message.

The connection validation is actually performed by the Server, so that's why you see the exception there. It is important to show this exception in the server log to help troubleshooting the problem.

Note You need to log in before you can comment on or make changes to this bug.